Name:       fusioninventory-agent
Version:    2.3.5.1
Release:    3
Summary:    FusionInventory agent
License:    GPLv2+
Group:      System/Servers
URL:        http://www.fusioninventory.org
Source0:    http://forge.fusioninventory.org/attachments/download/867/FusionInventory-Agent-%{version}.tar.gz
#Source1:    %{name}.init
Source1:    %{name}.service
BuildArch:  noarch
BuildRequires: perl(ExtUtils::MakeMaker)
Requires:  perl(Proc::Daemon)
Requires:  perl(Proc::PID::File)
Requires:  perl(Socket::GetAddrInfo)
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
The fusioninventory agent is a generic agent, running on each managed node. It
can perform a certain number of tasks, either according to its own execution
plan, or as requested from a central control server, such as GLPI server with
fusioninventory plugin.

This package contains only the agent itself. Additional task packages are
needed for effective usage.

%package task-inventory
Summary:    Local inventory support for FusionInventory agent
License:    GPL
Group:		System/Servers
Requires:   %{name} = %{version}-%{release}

%description task-inventory
This package provides local inventory support for FusionInventory agent:
- the inventory task allows the agent to extract various hardware and software
  information on its host
  
Additional optional packages:
- perl-Net-CUPS
- perl-Parse-EDID

%package task-wakeonlan
Summary:    Wake-on-lan support for FusionInventory agent
License:    GPL
Group:		System/Servers
Requires:   %{name} = %{version}-%{release}

%description task-wakeonlan
This package provides wake-on-lan support for FusionInventory agent:
- the wakeonlan task allows the agent to send wake-on-lan packet to another
  host on the same network
  
Additional optional packages:
- perl-Net-Write

%package task-network
Summary:    Network discovery and inventory support for FusionInventory agent
License:    GPL
Group:		System/Servers
Requires:   %{name} = %{version}-%{release}

%description task-network
This package provides network support for FusionInventory agent:
- the NetDiscovery task allows the agent to scan the network to find remote
  devices, through nmap, NetBios or SNMP, and to identify them
- the NetInventory task allows the agent to extract various information from
  a remote device through SNMP protocol
  
Additional optional packages:
- perl-Net-NBName
- nmap

%package task-esx
Summary:    ESX inventory support for FusionInventory agent
License:    GPL
Group:		System/Servers
Requires:   %{name} = %{version}-%{release}

%description task-esx
This package provides ESX support for FusionInventory agent:
- the ESX task allows the agent to perform remote inventory of ESX, ESXi,
  vCenter server using the SOAP interface

%package task-deploy
Summary:    Software deployement support for FusionInventory agent
License:    GPL
Group:		System/Servers
Requires:   %{name} = %{version}-%{release}
Requires:	perl(Archive::Extract)

%description task-deploy
This package provides software deployement support for FusionInventory agent:
- the deploy task allows the agent to perform software installation on its host

%prep
%setup -q -n FusionInventory-Agent-%{version}

# centos 5
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
    sed -e '/perl(FusionInventory::/d' |\
    sed -e '/perl(Win32/d'
EOF

cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
    sed -e '/perl(FusionInventory::/d'
EOF

%global __perl_provides %{_builddir}/FusionInventory-Agent-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%global __perl_requires %{_builddir}/FusionInventory-Agent-%{version}/%{name}-req
chmod +x %{__perl_requires}

# centos 6
%{?filter_from_requires: %filter_from_provides /perl(FusionInventory::/d}
%{?filter_from_requires: %filter_from_requires /perl(Win32/d}
%{?filter_from_requires: %filter_from_requires /perl(FusionInventory::/d}
%{?perl_default_filter}

%build
%__perl Makefile.PL \
    PREFIX=%{_prefix} \
    SYSCONFDIR=%{_sysconfdir}/fusioninventory \
    LOCALSTATEDIR=%{_localstatedir}/lib/fusioninventory
make

%install
rm -rf  %{buildroot}
make install DESTDIR=%{buildroot}

# init script configuration file
install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
cat > %{buildroot}%{_sysconfdir}/sysconfig/fusioninventory-agent <<EOF
# fusioninventory agent options
OPTIONS=""
EOF

install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily
cat > %{buildroot}%{_sysconfdir}/cron.daily/fusioninventory-agent <<EOF
#!/bin/sh
. /etc/sysconfig/fusioninventory-agent
%{_bindir}/fusioninventory-agent $OPTIONS > /dev/null 2>&1
EOF
chmod 755 %{buildroot}%{_sysconfdir}/cron.daily/fusioninventory-agent

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/fusioninventory-agent <<EOF
%{_localstatedir}/log/%{name}/*.log {
    compress
    notifempty
    missingok
}
EOF

# Install systemd service files
mkdir -p %{buildroot}/usr/lib/systemd/system
install -p -m 644 %{SOURCE1} %{buildroot}/usr/lib/systemd/system/%{name}.service

install -d -m 755 %{buildroot}%{_localstatedir}/log/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}

%clean
rm -rf %{buildroot}

%files
%doc Changes THANKS LICENSE README
%{_bindir}/fusioninventory-agent
%{_bindir}/fusioninventory-injector
%{_mandir}/man1/fusioninventory-agent.1*
%{_mandir}/man1/fusioninventory-injector.1*
%{_localstatedir}/log/fusioninventory-agent
%{_localstatedir}/lib/fusioninventory-agent
%{_datadir}/fusioninventory
%dir %{_sysconfdir}/fusioninventory
%config(noreplace) %{_sysconfdir}/fusioninventory/agent.cfg
%config(noreplace) %{_sysconfdir}/logrotate.d/fusioninventory-agent
%config(noreplace) %{_sysconfdir}/cron.daily/fusioninventory-agent
%config(noreplace) %{_sysconfdir}/sysconfig/fusioninventory-agent
#%{_initrddir}/fusioninventory-agent
/usr/lib/systemd/system/%{name}.service
%dir %{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP.pm
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/SOAP

%files task-inventory
%{_bindir}/fusioninventory-inventory
%{_mandir}/man1/fusioninventory-inventory.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Inventory.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Inventory

%files task-wakeonlan
%{_bindir}/fusioninventory-wakeonlan
%{_mandir}/man1/fusioninventory-wakeonlan.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/WakeOnLan.pm

%files task-network
%{_bindir}/fusioninventory-netdiscovery
%{_bindir}/fusioninventory-netinventory
%{_mandir}/man1/fusioninventory-netdiscovery.1*
%{_mandir}/man1/fusioninventory-netinventory.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetInventory.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetDiscovery.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetDiscovery
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP

%files task-esx
%{_bindir}/fusioninventory-esx
%{_mandir}/man1/fusioninventory-esx.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/ESX.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/SOAP

%files task-deploy
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Deploy.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Deploy

%changelog
* Tue Jan 28 2014 Kevin COUSIN <kcousin@globalsp.com> 2.3.5.1-3
- Remove init script and add systemd service file

* Mon Jan 27 2014 Kevin COUSIN <kcousin@globalsp.com> 2.3.5.1-2
- Fedora build 

* Wed Jan 15 2014 Guillaume Rousse <guillomovitch@gmail.com> 2.3.5.1-1
- update to 2.3.5.1

* Fri Nov 29 2013 Guillaume Rousse <guillomovitch@gmail.com> 2.3.4-1
- update to 2.3.4

* Wed Nov 06 2013 Guillaume Rousse <guillomovitch@gmail.com> 2.3.3-1
- update to 2.3.3

* Tue Oct 08 2013 Guillaume Rousse <guillomovitch@gmail.com> 2.3.2-1
- update to 2.3.2

* Tue Sep 10 2013 Guillaume Rousse <guillomovitch@gmail.com> 2.3.1-1
- update to 2.3.1

* Thu Aug 08 2013 Guillaume Rousse <guillomovitch@gmail.com> 2.3.0-5
- list optional suggested packages in descriptions
  
* Wed Aug 07 2013 Guillaume Rousse <guillomovitch@gmail.com> 2.3.0-4
- add optional perl modules needed for daemon mode as explicit dependencies
  (#2195)

* Tue Aug 06 2013 Guillaume Rousse <guillomovitch@gmail.com> 2.3.0-3
- really move F::A::HTTP::Client::Fusion class in main package
- move executable man pages in various task packages
  
* Mon Aug 05 2013 Guillaume Rousse <guillomovitch@gmail.com> 2.3.0-2
- better description
- move F::A::HTTP::Client::Fusion class in main package, it is needed
  both for esx and deploy tasks

* Tue Aug 01 2013 Guillaume Rousse <guillomovitch@gmail.com> 2.3.0-1
- update to 2.3.0
- drop suse conditional build statements, as there no interest to make
  spec file more complex, without any way to test the result

* Tue Feb 12 2013 Guillaume Rousse <guillomovitch@gmail.com> 2.2.7-2
- first attempt to port it to Suse
- fix perms and name of init script

* Fri Jan 11 2013 Guillaume Rousse <guillomovitch@gmail.com> 2.2.7-1
- initial OBS release
